import { Http } from "@angular/http";
import { Observable } from "rxjs/Rx";
import { GHDPeopleFinder } from '../models/peopleFinder.model';
export declare class PeopleFinderService {
    private http;
    private _getDirectUserUrl;
    private _getPhootoUrl;
    constructor(http: Http);
    /**
     * Match a GHD Staff details in PeopleFinder
     * @param {string} query string containing a part of name of the GHD Staff
     * @return {Array<GHDPeopleFinder>}
     */
    loadMatchingGHDPersons(query: string): Observable<GHDPeopleFinder[]>;
    /**
     * Gets a Base 64 photo of the GHD staff
     * @param {string} id login id of the GHD person
     * @return {string}
     */
    getGHDPhoto(id: string): string;
    private extractData(res);
    private handleError(error);
}
